/*
 * *********************************************************************************************************************
 *
 *          !!
 *        .F88X
 *        X8888Y
 *      .}888888N;
 *        i888888N;        .:!              .I$WI:
 *          R888888I      .'N88~            i8}+8Y&8"l8i$8>8W~'>W8}8]KW+8IIN"8&
 *          .R888888I    .;N8888~          .X8'  "8I.!,/8"  !%NY8`"8I8~~8>,88I
 *            +888888N;  .8888888Y                                  "&&8Y.}8,
 *            ./888888N;  .R888888Y        .'}~    .>}'.`+>  i}!    "i'  +/'  .'i~  !11,.:">,  .~]!  .i}i
 *              ~888888%:  .I888888l      .]88~`1/iY88Ii+1'.R$8$8]"888888888>  Y8$  W8E  X8E  W8888'188Il}Y88$*
 *              18888888    E8888881    .]W%8$`R8X'&8%++N8i,8N%N8+l8%`  .}8N:.R$RE%N88N%N$K$R  188,FE$8%~Y88I
 *            .E888888I  .i8888888'      .:$8I;88+`E8R:/8N,.>881.`$8E/1/]N8X.Y8N`"KF&&FK!'88*."88K./$88%RN888+~
 *            8888888I  .,N888888~        ~88i"8W,!N8*.I88.}888%F,i$88"F88"  888:E8X.>88!i88>`888*.}Fl1]*}1YKi'
 *          i888888N'      I888Y          ]88;/EX*IFKFK88X  K8R  .l8W  88Y  ~88}'88E&%8W.X8N``]88!.$8K  .:W8I
 *        .i888888N;        I8Y          .&8$  .X88!  i881.:%888>I88  ;88]  +88+.';;;;:.Y88X  18N.,88l  .+88/
 *      .:R888888I
 *      .&888888I                                          Copyright (c) 2009-2020.  博锐尚格科技股份有限公司
 *        ~8888'
 *        .!88~                                                                     All rights reserved.
 *
 * *********************************************************************************************************************
 */

/**
 * item层级类
 *
 * @author  郝建龙 <haojianlong@sagacloud.cn>
 * @deprecated
 */
export class ItemOrder {
    /** 空间层级 */
    static spaceOrder = 200;
    /** 业务空间层级 */
    static zoneOrder = 800;
    /** 类空间层级 */
    static likeSpaceOrder = 1000;
    /** 柱子层级 */
    static columnOrder = 1200;
    /** 墙层级 */
    static wallOrder = 1600;
    /** 虚拟墙层级 */
    static virtualWallOrder = 2000;
    /** 门层级 */
    static doorOrder = 2400;
    /** 窗户层级 */
    static windowOrder = 2800;
    /** 多边形层级 */
    static polygonOrder = 4000;
    /** 直线层级 */
    static lineOrder = 5000;
    /** 折线层级 */
    static polylineOrder = 6000;
    /** 图片层级 */
    static imageOrder = 7000;
    /** 文本层级 */
    static textOrder = 8000;
    /** 位置标签对象层级 */
    static markOrder = 9900;
    /** 遮罩层级 */
    static shadeOrder = 12000;
    /** 框选矩形对象层级 */
    static rectSelectOrder = 9999900;
    /** 高亮对象层级 */
    static highLightOrder = 999900;
    /** 业务空间关系点位层级 */
    static RelationOrder = 999900;
    /** 蒙版层级 */
    static sceneMarkOrder = 9999900;
}
