# 博锐尚格二维图形编辑器
## 安装
安装有三种方式： 全局安装，现有项目安装，package.json 方式。
* 注：安装前需要在安装其他包完成后，修改npm 源；因为该包为公司私有包。
```
npm config set registry http://dev.dp.sagacloud.cn:8082/repository/npm-saga/
```

### 全局安装
```
# persagy-web-edit 全局安装
npm install -g @persagy-web/edit
```
### 现有项目
如果你想在一个现有项目中使用 @persagy-web/edit，则应该将 @persagy-web/edit 安装为本地依赖。
```
# 将 @persagy-web/edit 作为一个本地依赖安装
npm install -D @persagy-web/edit
```
### package.json
```
  "dependencies": {
        "@persagy-web/graph": "2.2.1",
        "@persagy-web/big": "2.2.1",
        "@types/uuid": "^8.0.0"
    }
```
在项目文件夹执行如下命令安装项目依赖。
```
npm install
```
## 参考
### 开发文档
* [http://adm.sagacloud.cn:8080/doc/web/guides/edit/](http://adm.sagacloud.cn:8080/doc/web/guides/edit/)

### api 参考
* [http://adm.sagacloud.cn:8080/api/web/edit/](http://adm.sagacloud.cn:8080/api/web/edit/)
