/*
 * *********************************************************************************************************************
 *
 *          !!
 *        .F88X
 *        X8888Y
 *      .}888888N;
 *        i888888N;        .:!              .I$WI:
 *          R888888I      .'N88~            i8}+8Y&8"l8i$8>8W~'>W8}8]KW+8IIN"8&
 *          .R888888I    .;N8888~          .X8'  "8I.!,/8"  !%NY8`"8I8~~8>,88I
 *            +888888N;  .8888888Y                                  "&&8Y.}8,
 *            ./888888N;  .R888888Y        .'}~    .>}'.`+>  i}!    "i'  +/'  .'i~  !11,.:">,  .~]!  .i}i
 *              ~888888%:  .I888888l      .]88~`1/iY88Ii+1'.R$8$8]"888888888>  Y8$  W8E  X8E  W8888'188Il}Y88$*
 *              18888888    E8888881    .]W%8$`R8X'&8%++N8i,8N%N8+l8%`  .}8N:.R$RE%N88N%N$K$R  188,FE$8%~Y88I
 *            .E888888I  .i8888888'      .:$8I;88+`E8R:/8N,.>881.`$8E/1/]N8X.Y8N`"KF&&FK!'88*."88K./$88%RN888+~
 *            8888888I  .,N888888~        ~88i"8W,!N8*.I88.}888%F,i$88"F88"  888:E8X.>88!i88>`888*.}Fl1]*}1YKi'
 *          i888888N'      I888Y          ]88;/EX*IFKFK88X  K8R  .l8W  88Y  ~88}'88E&%8W.X8N``]88!.$8K  .:W8I
 *        .i888888N;        I8Y          .&8$  .X88!  i881.:%888>I88  ;88]  +88+.';;;;:.Y88X  18N.,88l  .+88/
 *      .:R888888I
 *      .&888888I                                          Copyright (c) 2009-2020.  博锐尚格科技股份有限公司
 *        ~8888'
 *        .!88~                                                                     All rights reserved.
 *
 * *********************************************************************************************************************
 */

import { SColor } from "@persagy-web/draw";

/**
 * 接口item颜色配置
 *
 * @author  郝建龙 <haojianlong@sagacloud.cn>
 * @deprecated
 */
export class ItemColor {
    /** 墙颜色 */
    static wallColor = new SColor("#2b2b2b");
    /** 柱子颜色 */
    static columnColor = SColor.Black;
    /** 虚拟墙颜色 */
    static virtualWallColor = SColor.Black;
    /** 空间颜色 */
    static spaceColor = new SColor("#f1fffd80");
    /** 门颜色 */
    static doorColor = new SColor("#f5b36f");
    /** 窗户颜色 */
    static windowColor = new SColor("#fcd6ff");
    /** 蒙版颜色 */
    static sceneMarkColor = new SColor("#00000080");
    /** 遮罩颜色 */
    static shadeColor = new SColor("#00000080");
    /** 高亮item吸附点颜色 */
    static highLightPointColor = new SColor("#ff8d00");
    /** 高亮item吸附线颜色 */
    static highLightLineColor = new SColor("#409EFF");
    /** 矩形选择对象边框颜色 */
    static rectSelectOutColor = new SColor("#3e78f9e8");
    /** 矩形选择对象填充颜色 */
    static rectSelectInColor = new SColor("#8cf2fd73");
    /** 空间边框颜色 */
    static spaceBorderColor = new SColor("#2b2b2b");
    /** 空间,业务空间选中颜色 */
    static selectColor = new SColor("#1abc9c");
    /** 空间高亮颜色 */
    static spaceHighColor = new SColor("#fbb029");
    /** 业务空间不可选中颜色 */
    static zoneUnselectColor = new SColor("#cecece");
    /** 受影响业务空间颜色 */
    static zoneInfectedColor = new SColor("#ff0000");
    /** 受影响的业务空间边框颜色 */
    static zoneInfectedBorder = new SColor("#e2675c");
}
